import axios from "@/utils/request"


export function page(query) {
  return axios({
    url: "/udiwms/basic/sk/sicker/filter",
    method: "get",
    params: query
  });
}

export function filterNoPage(query) {
  return axios({
    url: "/udiwms/basic/sk/sicker/filter/noPage",
    method: "get",
    params: query
  });
}


export function downloadSick(query) {
  return axios({
    url: "/udiwms/basic/sk/sicker/download",
    method: "post",
    data: query
  });
}


/**
 * 处方使用耗材明细
 */
export function skPrescribeDi(query) {
  return axios({
    url: "/udiwms/basic/sk/prescribe/di/filter",
    method: "get",
    params: query
  });
}

export function skPrescribeCheck(query) {
  return axios({
    url: "/udiwms/basic/sk/prescribe/check",
    method: "get",
    params: query
  });
}



/**
 * 下载并查询处方信息
 */

export function dlOrFilter(query) {
  return axios({
    url: "/udiwms/basic/sk/prescribe/di/dlOrFilter",
    method: "get",
    params: query
  });
}




